| Kea 3.0.2-git

isc::perfdhcp::TestControl::SequentialGenerator Class Reference

Sequential numbers generator class. More...

`#include <test_control.h>`

Inheritance diagram for isc::perfdhcp::TestControl::SequentialGenerator:
[legend]

## Public Member Functions
| SequentialGenerator (uint32_t range=0xFFFFFFFF)
| Constructor.
virtual uint32_t | generate ()
| Generate number sequentially.
Public Member Functions inherited from isc::perfdhcp::TestControl::NumberGenerator
virtual | ~NumberGenerator ()
| Destructor.

## Detailed Description

Sequential numbers generator class.

Definition at line 157 of file test_control.h.

## Constructor & Destructor Documentation

## ◆ SequentialGenerator()

isc::perfdhcp::TestControl::SequentialGenerator::SequentialGenerator | ( | uint32_t | range = 0xFFFFFFFF | ) |
| inline

Constructor.

Parameters

  range | maximum number generated. If 0 is given then range defaults to maximum uint32_t value.

Definition at line 163 of file test_control.h.

## Member Function Documentation

## ◆ generate()

virtual uint32_t isc::perfdhcp::TestControl::SequentialGenerator::generate | ( |  | ) |
| inline virtual

Generate number sequentially.

Returns
  generated number.

Implements isc::perfdhcp::TestControl::NumberGenerator.

Definition at line 175 of file test_control.h.

The documentation for this class was generated from the following file:

- test_control.h